

# GetAccountInformation
<a name="API_GetAccountInformation"></a>

Retrieves information about the specified account including its account name, account ID, and account creation date and time. To use this API, an IAM user or role must have the `account:GetAccountInformation` IAM permission. 

## Request Syntax
<a name="API_GetAccountInformation_RequestSyntax"></a>

```
POST /getAccountInformation HTTP/1.1
Content-type: application/json

{
   "AccountId": "string"
}
```

## URI Request Parameters
<a name="API_GetAccountInformation_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetAccountInformation_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [AccountId](#API_GetAccountInformation_RequestSyntax) **   <a name="accounts-GetAccountInformation-request-AccountId"></a>
Specifies the 12 digit account ID number of the Amazon account that you want to access or modify with this operation.  
If you do not specify this parameter, it defaults to the Amazon account of the identity used to call the operation.  
To use this parameter, the caller must be an identity in the [organization's management account](https://docs.amazonaws.cn/organizations/latest/userguide/orgs_getting-started_concepts.html#account) or a delegated administrator account, and the specified account ID must be a member account in the same organization. The organization must have [all features enabled](https://docs.amazonaws.cn/organizations/latest/userguide/orgs_manage_org_support-all-features.html), and the organization must have [trusted access](https://docs.amazonaws.cn/organizations/latest/userguide/services-that-can-integrate-account.html) enabled for the Account Management service, and optionally a [delegated administrator](https://docs.amazonaws.cn/organizations/latest/userguide/orgs_getting-started_concepts.html#delegated-admin) account assigned.  
The management account can't specify its own `AccountId`; it must call the operation in standalone context by not including the `AccountId` parameter.
To call this operation on an account that is not a member of an organization, then don't specify this parameter, and call the operation using an identity belonging to the account whose contacts you wish to retrieve or modify.  
Type: String  
Pattern: `\d{12}`   
Required: No

## Response Syntax
<a name="API_GetAccountInformation_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "AccountCreatedDate": "string",
   "AccountId": "string",
   "AccountName": "string"
}
```

## Response Elements
<a name="API_GetAccountInformation_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [AccountCreatedDate](#API_GetAccountInformation_ResponseSyntax) **   <a name="accounts-GetAccountInformation-response-AccountCreatedDate"></a>
The date and time the account was created.  
Type: Timestamp

 ** [AccountId](#API_GetAccountInformation_ResponseSyntax) **   <a name="accounts-GetAccountInformation-response-AccountId"></a>
Specifies the 12-digit account ID number of the Amazon Web Services account that you want to access or modify with this operation. To use this parameter, the caller must be an identity in the [organization's management account](https://docs.amazonaws.cn/organizations/latest/userguide/orgs_getting-started_concepts.html#account) or a delegated administrator account. The specified account ID must be a member account in the same organization. The organization must have [all features enabled](https://docs.amazonaws.cn/organizations/latest/userguide/orgs_manage_org_support-all-features.html), and the organization must have [trusted access](https://docs.amazonaws.cn/organizations/latest/userguide/orgs_integrate_services.html) enabled for the Account Management service, and optionally a [delegated admin](https://docs.amazonaws.cn/organizations/latest/userguide/orgs_getting-started_concepts.html#delegated-admin) account assigned.  
This operation can only be called from the management account or the delegated administrator account of an organization for a member account.  
The management account can't specify its own `AccountId`.
Type: String  
Pattern: `\d{12}` 

 ** [AccountName](#API_GetAccountInformation_ResponseSyntax) **   <a name="accounts-GetAccountInformation-response-AccountName"></a>
The name of the account.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 50.  
Pattern: `[ -;=?-~]+` 

## Errors
<a name="API_GetAccountInformation_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
The operation failed because the calling identity doesn't have the minimum required permissions.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 403

 ** InternalServerException **   
The operation failed because of an error internal to Amazon. Try your operation again later.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 500

 ** TooManyRequestsException **   
The operation failed because it was called too frequently and exceeded a throttle limit.    
 ** errorType **   
The value populated to the `x-amzn-ErrorType` response header by API Gateway.
HTTP Status Code: 429

 ** ValidationException **   
The operation failed because one of the input parameters was invalid.    
 ** fieldList **   
The field where the invalid entry was detected.  
 ** message **   
The message that informs you about what was invalid about the request.  
 ** reason **   
The reason that validation failed.
HTTP Status Code: 400

## Examples
<a name="API_GetAccountInformation_Examples"></a>

### Example 1
<a name="API_GetAccountInformation_Example_1"></a>

The following example retrieves the account information for the account whose credentials are used to call the operation. 

#### Sample Request
<a name="API_GetAccountInformation_Example_1_Request"></a>

```
POST / HTTP/1.1
X-Amz-Target: AWSAccountV20210201.GetAccountInformation
                    
{}
```

#### Sample Response
<a name="API_GetAccountInformation_Example_1_Response"></a>

```
HTTP/1.1 200 OK
Content-Type: application/json
                    
{
   "AccountId": "123456789012",
   "AccountName": "MyAccount",
   "AccountCreatedDate": "2020-11-30T17:44:37Z"
}
```

### Example 2
<a name="API_GetAccountInformation_Example_2"></a>

The following example retrieves the account information for the specified member account in an organization. You must use credentials from either the organization's management account or from the Account Management service's delegated admin account. 

#### Sample Request
<a name="API_GetAccountInformation_Example_2_Request"></a>

```
POST / HTTP/1.1
X-Amz-Target: AWSAccountV20210201.GetAccountInformation
                    
{
   "AccountId": "123456789012" 
}
```

#### Sample Response
<a name="API_GetAccountInformation_Example_2_Response"></a>

```
HTTP/1.1 200 OK
Content-Type: application/json
                    
{
   "AccountId": "123456789012",
   "AccountName": "MyMemberAccount",
   "AccountCreatedDate": "2020-11-30T17:44:37Z"
}
```

## See Also
<a name="API_GetAccountInformation_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/account-2021-02-01/GetAccountInformation) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/account-2021-02-01/GetAccountInformation) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/account-2021-02-01/GetAccountInformation) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/account-2021-02-01/GetAccountInformation) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/account-2021-02-01/GetAccountInformation) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/account-2021-02-01/GetAccountInformation) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/account-2021-02-01/GetAccountInformation) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/account-2021-02-01/GetAccountInformation) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/account-2021-02-01/GetAccountInformation) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/account-2021-02-01/GetAccountInformation) 